#include "/lib/settings.glsl"
#include "/lib/tonemap.glsl"

flat varying float material;
varying vec3 ViewPos;
varying vec3 MixedLights;


#include "/lib/util.glsl"
#include "/global/sky.glsl"
#include "/lib/blur.glsl"

vec3 tweak_lightmap() {
    return dither(MixedLights, gl_FragCoord.xy);
}
