#include "/lib/all_the_uniforms.glsl"
varying vec2 texcoord;
#include "/lib/util.glsl"
#include "/lib/tonemap.glsl"
#include "/lib/blur.glsl"
#include "/lib/settings.glsl"

// Blur on x direction

/* DRAWBUFFERS:1 */


void main() {
	gl_FragData[0] = vec4(0, 0, 0, 1);
	if(is_in_range(texcoord) != 0) 
		gl_FragData[0] = blur(colortex1, texcoord, vec2(1, 0));
}
