#include "/lib/all_the_uniforms.glsl"


uniform sampler2D lightmap;
uniform sampler2D gtexture;


varying vec2 texcoord;
varying vec4 glcolor;

/* DRAWBUFFERS:0 */

#include "/global/lighting.fsh"

void main() {
	vec4 Color = texture2D(gtexture, texcoord) * glcolor;
	vec3 TweakedLM = tweak_lightmap();
	Color.xyz *= TweakedLM;
	gl_FragData[0] = Color;
}
