uniform sampler2D texture;

varying vec2 texcoord;
varying vec4 glcolor;

#include "/lib/settings.glsl"

void main() {
	#ifndef FANCY_CLOUDS
	vec4 color = texture2D(texture, texcoord) * glcolor;

	/* DRAWBUFFERS:0 */
	gl_FragData[0] = color; //gcolor
	#else
	discard;
	#endif
}