#include "/lib/all_the_uniforms.glsl"


uniform sampler2D lightmap;
uniform sampler2D gtexture;


varying vec2 texcoord;
varying vec4 glcolor;

/* DRAWBUFFERS:0 */

#include "/global/lighting.fsh"

void main() {
	gl_FragData[0] = texture2D(gtexture, texcoord) * glcolor;
	if (gl_FragData[0].a < 0.1) {
		discard;
	}
}
